Package net.shibboleth.idp.authn.context.navigate

# Class RequestedPrincipalContextPrincipalLookupFunction

java.lang.Object
net.shibboleth.idp.authn.context.navigate.RequestedPrincipalContextPrincipalLookupFunction

All Implemented Interfaces:
  `Function<RequestedPrincipalContext,Collection<String>>`, `ContextDataLookupFunction<RequestedPrincipalContext,Collection<String>>`

public class RequestedPrincipalContextPrincipalLookupFunction extends Object implements ContextDataLookupFunction<RequestedPrincipalContext,Collection<String>>
A function that returns `RequestedPrincipalContext.getRequestedPrincipals()` but transforms the values into strings.

## Constructor Summary

Constructors
Constructor
Description
`RequestedPrincipalContextPrincipalLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`apply(RequestedPrincipalContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### RequestedPrincipalContextPrincipalLookupFunction

public RequestedPrincipalContextPrincipalLookupFunction()

## Method Details

### apply

@Nullable @NotLive @Unmodifiable public Collection<String> apply(@Nullable RequestedPrincipalContext input)

Specified by:
  `apply` in interface `Function<RequestedPrincipalContext,Collection<String>>`